Skip to content

getGJDailyLevel.php

Gets which daily level we're on and gets how much time is left. To fetch the current level ID of the daily level, either use downloadGJLevel with a negative levelID or check the safe.

Parameters

ParameterExplanationRequired
secretCommon Secret: Wmfd2893gb7Yes
gameVersionA number representing the game's version. The current value is 22 for 2.2
binaryVersionA number representing the game's small version. The current value is 47 for 2.2081 on PC and 48 for 2.2082 on mobile
udidThe player's UDID (Unique Device Identifier). Used to identify unregistered users
uuidThe player's user ID. See the previous format here
dvsA number representing the OS platform the player is using. Corresponds to the Cocos2d CC_TARGET_PLATFORM macro: 1 for iOS, 2 for Android, 3 for Windows, 8 for macOS
accountIDThe player's account ID (not to be confused with user ID). Used for authorization
gjp2The player's account password, encoded with GJP2. Used for authorization
type0 for daily, 1 for weekly, 2 for event level.
chkRewards CHK using the chest rewards keyOnly when type is 2
weekly0 for daily, 1 for weekly. Defaults to 0 if not sent. This parameter is outdated since 2.207

Response

Returns the index of the current daily level and the time left in seconds, separated by a pipe |.

Event levels also return the reward chest data and an integrity hash. Time left will always be 10 for event levels.

Example

Python

py
import requests
url = "https://www.boomlings.com/database/getGJDailyLevel.php"
data = {
    "secret": "Wmfd2893gb7",
    "type": "2",
    "chk": f"{''.join(random.choice('1234567890qwertyuiopaqsdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM') for i in range(5))}{base64.b64encode(xor_cipher(str(random.randint(10000, 1000000)), '59182').encode()).decode()}",
}
headers = {
    "User-Agent": ""  # Empty User-Agent
}

response = requests.post(url, data=data, headers=headers)
print(response.text)

curl

plain
curl -X POST https://www.boomlings.com/database/getGJDailyLevel.php -d "secret=Wmfd2893gb7&type=1" -A ""

Response

plain
2959|19186

Changelog

2.207

In 2.207, the weekly parameter (0 for daily, 1 for weekly) was replaced with the type parameter. A chk is now sent when the type is 2 (event levels).